| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
SoMFBitMask Class Reference
Field Classes

The SoMFBitMask class is a container for a set of bitmasks.This field is used where nodes, engines or other field containers needs to store multiple bitmasks with values from an enumerated set. More...

`#include <Inventor/fields/SoMFBitMask.h>`

Inheritance diagram for SoMFBitMask:

## Public Member Functions

virtual SoType | getTypeId (void) const
virtual void | copyFrom (const SoField &field)
const SoMFBitMask & | operator= (const SoMFBitMask &field)
virtual SbBool | isSame (const SoField &field) const
int | operator= (int val)
Public Member Functions inherited from SoMFEnum
const SoMFEnum & | operator= (const SoMFEnum &field)
int | operator[] (const int idx) const
const int * | getValues (const int start) const
int | find (int value, SbBool addifnotfound=FALSE)
void | setValues (const int start, const int num, const int *newvals)
void | set1Value (const int idx, int value)
void | setValue (int value)
int | operator= (int val)
SbBool | operator== (const SoMFEnum &field) const
SbBool | operator!= (const SoMFEnum &field) const
int * | startEditing (void)
void | finishEditing (void)
void | setValue (const SbName name)
void | set1Value (const int idx, const SbName name)
void | setEnums (const int num, const int *const values, const SbName *const names)
int | getNumEnums (void) const
int | getEnum (const int idx, SbName &name) const
Public Member Functions inherited from SoMField
virtual | ~SoMField ()
int | getNum (void) const
void | setNum (const int num)
virtual void | deleteValues (int start, int num=-1)
virtual void | insertSpace (int start, int num)
SbBool | set1 (const int index, const char *const valuestring)
void | get1 (const int index, SbString &valuestring)
virtual void | enableDeleteValues (void)
virtual SbBool | isDeleteValuesEnabled (void) const
Public Member Functions inherited from SoField
virtual | ~SoField ()
void | setIgnored (SbBool ignore)
SbBool | isIgnored (void) const
void | setDefault (SbBool defaultVal)
SbBool | isDefault (void) const
SbBool | isOfType (const SoType type) const
void | enableConnection (SbBool flag)
SbBool | isConnectionEnabled (void) const
SbBool | connectFrom (SoEngineOutput *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoEngineOutput *master, SbBool notnotify=FALSE)
void | disconnect (SoEngineOutput *engineoutput)
SbBool | isConnectedFromEngine (void) const
SbBool | getConnectedEngine (SoEngineOutput *&master) const
SbBool | connectFrom (SoField *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoField *master, SbBool notnotify=FALSE)
void | disconnect (SoField *field)
SbBool | isConnectedFromField (void) const
SbBool | getConnectedField (SoField *&master) const
int | getNumConnections (void) const
int | getForwardConnections (SoFieldList &slavelist) const
int | getConnections (SoFieldList &masterlist) const
void | disconnect (void)
SbBool | isConnected (void) const
void | setContainer (SoFieldContainer *cont)
SoFieldContainer * | getContainer (void) const
SbBool | set (const char *valuestring)
void | get (SbString &valuestring)
SbBool | shouldWrite (void) const
virtual void | touch (void)
virtual void | startNotify (void)
virtual void | notify (SoNotList *nlist)
SbBool | enableNotify (SbBool on)
SbBool | isNotifyEnabled (void) const
void | addAuditor (void *f, SoNotRec::Type type)
void | removeAuditor (void *f, SoNotRec::Type type)
int | operator== (const SoField &f) const
int | operator!= (const SoField &f) const
virtual void | connectionStatusChanged (int numconnections)
SbBool | isReadOnly (void) const
virtual void | fixCopy (SbBool copyconnections)
virtual SbBool | referencesCopy (void) const
void | copyConnection (const SoField *fromfield)
virtual SbBool | read (SoInput *input, const SbName &name)
virtual void | write (SoOutput *out, const SbName &name) const
virtual void | countWriteRefs (SoOutput *out) const
void | setFieldType (int type)
int | getFieldType (void) const
SbBool | getDirty (void) const
void | setDirty (SbBool dirty)
void | evaluate (void) const

## Static Public Member Functions

static void * | createInstance (void)
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoMFEnum
static void * | createInstance (void)
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoMField
static SoType | getClassTypeId (void)
static void | atexit_cleanup (void)
static void | initClass (void)
Static Public Member Functions inherited from SoField
static void | initClass (void)
static void | initClasses (void)
static void | cleanupClass (void)
static SoType | getClassTypeId (void)

## Additional Inherited Members

Public Types inherited from SoField
enum | FieldType { NORMAL_FIELD = 0, EVENTIN_FIELD, EVENTOUT_FIELD, EXPOSED_FIELD }
Protected Member Functions inherited from SoMFEnum
virtual void | deleteAllValues (void)
virtual void | copyValue (int to, int from)
virtual int | fieldSizeof (void) const
virtual void * | valuesPtr (void)
virtual void | setValuesPtr (void *ptr)
virtual void | allocValues (int num)
virtual SbBool | findEnumValue (const SbName &name, int &value)
virtual SbBool | findEnumName (int value, const SbName *&name) const
Protected Attributes inherited from SoMFEnum
int * | values
SbBool | legalValuesSet
int | numEnums
int * | enumValues
SbName * | enumNames

## Detailed Description

The SoMFBitMask class is a container for a set of bitmasks.

This field is used where nodes, engines or other field containers needs to store multiple bitmasks with values from an enumerated set.

See Also
  SoSFBitMask

## Member Function Documentation

SoType SoMFBitMask::getTypeId | ( | void | ) |  | const

virtual

Returns the type identification instance which uniquely identifies the Coin field class the object belongs to.

See Also
  getClassTypeId(), SoType

Reimplemented from SoMFEnum.

void SoMFBitMask::copyFrom | ( | const SoField & | f) |  |

virtual

Copy value(s) from f into this field. f must be of the same type as this field.

Reimplemented from SoMFEnum.

SbBool SoMFBitMask::isSame | ( | const SoField & | f) |  | const

virtual

Check for equal type and value(s).

Reimplemented from SoMFEnum.

The documentation for this class was generated from the following files:

- SoMFBitMask.h
- SoMFBitMask.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.